<!DOCTYPE html>
<html lang="en">
<head>
{% block head %}
    <meta charset="UTF-8">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Josefin+Sans&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Monoton&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/main.css') }}">
    <title>{% block title %}{% endblock %}</title>
{% endblock %}
</head>
<body >
<header>
    <div class=" header_top">
        <div class="header container">
            <div class="">
                <a href="{{url_for('index')}}" class="logo">Piece Of News</a>
            </div>
            <div class="hamburger-menu">
                <input id="menu__toggle" type="checkbox" />
                <label class="menu__btn" for="menu__toggle">
                    <span></span>
                </label>
                <ul class="menu__box">
                    <li>
                        <a class="menu__item" href="{{url_for('index')}}" class="n-link">Главная</a>
                    </li>
                    <li>
                        <a href="{{url_for('index')}}" class="menu__item">Новости</a>
                    </li>
                    <li>
                        <a href="{{url_for('sport')}}" class="menu__item">Спорт</a>
                    </li>
                    <li>
                        <a href="{{url_for('science')}}" class="menu__item">Наука</a>
                    </li>
                    <li>
                        <a href="{{url_for('programming')}}" class="menu__item">Програмирование</a>
                    </li>
                    <li>
                        <a href="{{url_for('cooking')}}" class="menu__item">Кулинария</a>
                    </li>
                    <li>
                        <a href="{{url_for('psychology')}}" class="menu__item">Психология</a>
                    </li>
                    <li>
                        <a href="{{url_for('create_post')}}" class="menu__item">Добавить</a>
                    </li>
                    {% if current_user.is_authenticated != True %}
                    <li>
                        <a class="menu__item" href="{{url_for('verification')}}" class="n-link verv-2">Войти</a>
                    </li>
                    <li>
                        <a class="menu__item" href="{{url_for('registr')}}" class="n-link verv-2">Регистрация</a>
                    </li>
                    {% else %}
                    <li>
                    <a class="menu__item" href="{{url_for('logout')}}" class="n-link verv-2">Выйти из {{ current_user.username }}</a>
                    </li>
                    {% endif %}
                </ul>
            </div>
            <nav class="nav-bar">
                <a href="{{url_for('index')}}" class="n-link">Главная</a>
                <button class="btn">
                    <a href="{{url_for('create_post')}}" class="a-text">Добавить</a>
                </button>
                {% if current_user.is_authenticated != True %}
                    <a href="{{url_for('verification')}}" class="n-link verv-2">Войти</a>
                    <a href="{{url_for('registr')}}" class="n-link verv-2">Регистрация</a>
                {% else %}
                    <a href="{{url_for('logout')}}" class="n-link verv-2">Выйти из {{ current_user.username }}</a>
                {% endif %}
            </nav>
        </div>
    </div>
    <div class="header-bottom">
        <div class="container">
            <div class="header-b">
                <nav class="nav-bar-b">
                    <a href="{{url_for('index')}}" class="link">Новости</a>
                    <a href="{{url_for('sport')}}" class="link">Спорт</a>
                    <a href="{{url_for('science')}}" class="link">Наука</a>
                    <a href="{{url_for('programming')}}" class="link">Програмирование</a>
                    <a href="{{url_for('cooking')}}" class="link">Кулинария</a>
                    <a href="{{url_for('psychology')}}" class="link">Психология</a>
                </nav>
            </div>
        </div>
    </div>
</header>
{% block body %}{% endblock %}
<footer class="footer">
    <div class="">
        <div class="container">
            <div class="f-item">
                <a href="aleksandr.syniak@gmail.com" class="link-black">© 2021 aleksandr.syniak@gmail.com</a>
                <div class="dv">
                    <p class="link-black">Сайт разработал:</p>
                    <a href="" class="link-black-s">Сыняк Александр</a>
                </div>
            </div>
        </div>
    </div>
</footer>
</body>
</html>